Booklinker.API

<back to all web services

PostUnclaimedLinkCreationRequest

The following routes are available for this service:
POST/v1/links/unclaimed
PostUnclaimedLinkCreationRequest Parameters:
NameParameterData TypeRequiredDescription
AffiliateProgramsbodyList<AffiliateTokens>No
PostLinkCreationRequestBase Parameters:
NameParameterData TypeRequiredDescription
UrlformstringYes
DomainformstringNo
ParameterKeyValuesformDictionary<string, string>No
AffiliateTokens Parameters:
NameParameterData TypeRequiredDescription
GuidformGuidNo
ProgramGuidformGuidNo
TokensformDictionary<string, string>No
PostLinkCreationResponse Parameters:
NameParameterData TypeRequiredDescription
SuccessformboolNo
LinkResultformstringNo
DestinationsformIEnumerable<ProductMetadata>No
ResponseStatusformResponseStatusNo
ProductMetadata Parameters:
NameParameterData TypeRequiredDescription
TitleformstringNo
AuthorformstringNo
UrlformUriNo
DescriptionformstringNo
RetailerformstringNo
ProductImagesformIDictionary<string, Uri>No

To override the Content-type in your clients, use the HTTP Accept Header, append the .json suffix or ?format=json

To embed the response in a jsonp callback, append ?callback=myCallback

HTTP + JSON

The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.

POST /v1/links/unclaimed HTTP/1.1 
Host: api.booklinker.com 
Accept: application/json
Content-Type: application/json
Content-Length: length

{"affiliatePrograms":[{"affiliateTokens":{"String":"String"}}],"url":"String","domain":"String","parameterKeyValues":{"String":"String"}}
HTTP/1.1 200 OK
Content-Type: application/json
Content-Length: length

{"success":false,"linkResult":"String","responseStatus":{"errorCode":"String","message":"String","stackTrace":"String","errors":[{"errorCode":"String","fieldName":"String","message":"String","meta":{"String":"String"}}],"meta":{"String":"String"}}}